## org.gnu.gdk
Class Function

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.Function

public class Function
extends org.gnu.glib.Enum

Determines how the bit values for the source pixels are combined with the bit values for destination pixels to produce the final result.

Field Summary
`static Function` `AND`
`static Function` `AND_INVERT`
`static Function` `AND_REVERSE`
`static Function` `CLEAR`
`static Function` `COPY`
`static Function` `COPY_INVERT`
`static Function` `EQUIV`
`static Function` `INVERT`
`static Function` `NAND`
`static Function` `NOOP`
`static Function` `NOR`
`static Function` `OR`
`static Function` `OR_INVERT`
`static Function` `OR_REVERSE`
`static Function` `SET`
`static Function` `XOR`

Method Summary
`Function` `and(Function other)`
`static Function` `intern(int value)`
`Function` `or(Function other)`
`boolean` `test(Function other)`
`Function` `xor(Function other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPY

    public static final Function COPY

### INVERT

    public static final Function INVERT

### XOR

    public static final Function XOR

### CLEAR

    public static final Function CLEAR

### AND

    public static final Function AND

### AND_REVERSE

    public static final Function AND_REVERSE

### AND_INVERT

    public static final Function AND_INVERT

### NOOP

    public static final Function NOOP

### OR

    public static final Function OR

### EQUIV

    public static final Function EQUIV

### OR_REVERSE

    public static final Function OR_REVERSE

### COPY_INVERT

    public static final Function COPY_INVERT

### OR_INVERT

    public static final Function OR_INVERT

### NAND

    public static final Function NAND

### NOR

    public static final Function NOR

### SET

    public static final Function SET

Method Detail

### intern

    public static Function intern(int value)

### or

    public Function or(Function other)

### and

    public Function and(Function other)

### xor

    public Function xor(Function other)

### test

    public boolean test(Function other)